python-napalm-base_0.25.0-1_all.deb


Advertisement

Description

python-napalm-base - abstraction layer for multivendor network automation - base package

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-napalm-base_0.25.0-1_all.deb
Package name python-napalm-base
Package version 0.25.0
Package release 1
Package architecture all
Package type deb
Category universe/python
Homepage https://github.com/napalm-automation/napalm-base
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 32.40 KB
Installed size 201.00 KB
NAPALM (Network Automation and Programmability Abstraction Layer with
Multivendor support) is a Python library that implements a set of
functions to interact with different router vendor devices using a
unified API.
NAPALM supports several methods to connect to the devices, to
manipulate configurations or to retrieve data.
This module provides the base package needed by all drivers but does
nothing on its own.

Alternatives

Package Version Architecture Repository
python-napalm-base_0.25.0-1_all.deb 0.25.0 all Ubuntu Universe
python-napalm-base - - -

Requires

Name Value
python-gtextfsm -
python-jinja2 -
python-netaddr -
python-yaml -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-napalm-base_0.25.0-1_all.deb
Source Package napalm-base

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-napalm-base deb package:
    # sudo apt-get install python-napalm-base

Files

Path
/usr/bin/cl_napalm_configure
/usr/bin/cl_napalm_test
/usr/bin/cl_napalm_validate
/usr/bin/napalm
/usr/lib/python2.7/dist-packages/napalm_base/__init__.py
/usr/lib/python2.7/dist-packages/napalm_base/base.py
/usr/lib/python2.7/dist-packages/napalm_base/constants.py
/usr/lib/python2.7/dist-packages/napalm_base/exceptions.py
/usr/lib/python2.7/dist-packages/napalm_base/helpers.py
/usr/lib/python2.7/dist-packages/napalm_base/mock.py
/usr/lib/python2.7/dist-packages/napalm_base/validate.py
/usr/lib/python2.7/dist-packages/napalm_base-0.25.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/napalm_base-0.25.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/napalm_base-0.25.0.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/napalm_base-0.25.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/napalm_base-0.25.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/napalm_base/clitools/__init__.py
/usr/lib/python2.7/dist-packages/napalm_base/clitools/cl_napalm.py
/usr/lib/python2.7/dist-packages/napalm_base/clitools/cl_napalm_configure.py
/usr/lib/python2.7/dist-packages/napalm_base/clitools/cl_napalm_test.py
/usr/lib/python2.7/dist-packages/napalm_base/clitools/cl_napalm_validate.py
/usr/lib/python2.7/dist-packages/napalm_base/clitools/helpers.py
/usr/lib/python2.7/dist-packages/napalm_base/test/__init__.py
/usr/lib/python2.7/dist-packages/napalm_base/test/base.py
/usr/lib/python2.7/dist-packages/napalm_base/test/conftest.py
/usr/lib/python2.7/dist-packages/napalm_base/test/double.py
/usr/lib/python2.7/dist-packages/napalm_base/test/getters.py
/usr/lib/python2.7/dist-packages/napalm_base/test/helpers.py
/usr/lib/python2.7/dist-packages/napalm_base/test/models.py
/usr/lib/python2.7/dist-packages/napalm_base/utils/__init__.py
/usr/lib/python2.7/dist-packages/napalm_base/utils/jinja_filters.py
/usr/lib/python2.7/dist-packages/napalm_base/utils/py23_compat.py
/usr/lib/python2.7/dist-packages/napalm_base/utils/string_parsers.py
/usr/share/doc/python-napalm-base/changelog.Debian.gz
/usr/share/doc/python-napalm-base/copyright

Changelog

2017-11-14 - Vincent Bernat <bernat@debian.org>
napalm-base (0.25.0-1) unstable; urgency=medium
* New upstream release.
* Refresh patches after git-dpm to gbp pq conversion.
* d/control: bump Standards-Version.
2016-12-25 - Vincent Bernat <bernat@debian.org>
napalm-base (0.21.0-1) unstable; urgency=medium
* New upstream version.
2016-11-02 - Vincent Bernat <bernat@debian.org>
napalm-base (0.18.0-2) unstable; urgency=medium
* Add a patch to keep using gtextfsm instead of jtextfsm.
2016-11-01 - Vincent Bernat <bernat@debian.org>
napalm-base (0.18.0-1) unstable; urgency=medium
* New upstream version.
2016-05-27 - Vincent Bernat <bernat@debian.org>
napalm-base (0.14.1-1) unstable; urgency=low
* Initial release (closes: #825484)

See Also

Package Description
python-napalm-eos_0.6.1-1_all.deb abstraction layer for multivendor network automation - EOS support
python-napalm-fortios_0.4.0-1_all.deb abstraction layer for multivendor network automation - FortiOS support
python-napalm-ios_0.8.1-1_all.deb abstraction layer for multivendor network automation - IOS support
python-napalm-iosxr_0.5.6-1_all.deb abstraction layer for multivendor network automation - IOS-XR support
python-napalm-junos_0.12.1-1_all.deb abstraction layer for multivendor network automation - JunOS support
python-natsort-doc_4.0.3-2_all.deb Natural sorting for Python (doc)
python-natsort_4.0.3-2_all.deb Natural sorting for python
python-naturalsort_1.0.3-1.1_all.deb Simple natural order sorting API for Python that just works
python-nautilus_1.1-6_i386.deb Python binding for Nautilus components
python-nav-msgs_1.12.5-3_all.deb Messages relating to Robot OS nav, Python interface
python-nbconvert-doc_5.3.1-1_all.deb Jupyter notebook conversion (documentation)
python-nbconvert_5.3.1-1_all.deb Jupyter notebook conversion (Python 2)
python-nbformat-doc_4.4.0-1_all.deb Jupyter notebook format (documentation)
python-nbformat_4.4.0-1_all.deb Jupyter notebook format (Python 2)
python-nbsphinx-doc_0.3.1+ds-1_all.deb Jupyter Notebook Tools for Sphinx -- doc
Advertisement
Advertisement